import _slicedToArray from 'babel-runtime/helpers/slicedToArray';


export default function injectRuleByLookup(properties, propName, lookup) {
  var flatten = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;

  var value = properties[propName];

  if (typeof value !== 'string') {
    return;
  }

  value = value.split(',').map(function (name) {
    name = name.trim();
    var found = lookup[name];

    if (found && Array.isArray(found)) {
      var _found = found;

      var _found2 = _slicedToArray(_found, 1);

      found = _found2[0];
    }

    return found || name;
  });

  if (flatten) {
    value = value.join(', ');
  } else if (value.length === 1) {
    var _value = value;

    var _value2 = _slicedToArray(_value, 1);

    value = _value2[0];
  }

  properties[propName] = value;
} /**
   * @copyright   2017, Miles Johnson
   * @license     https://opensource.org/licenses/MIT
   * 
   */