'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = injectFallbacks;
function injectFallbacks(properties, fallbacks) {
  Object.keys(fallbacks).forEach(function (propName) {
    var prop = properties[propName];
    var fallback = fallbacks[propName];

    if (typeof prop === 'undefined') {
      return;
    }

    properties[propName] = [].concat(fallback, prop);
  });
} /**
   * @copyright   2017, Miles Johnson
   * @license     https://opensource.org/licenses/MIT
   * 
   */